#pragma once

void tx_CreateRGBA(byte* image, byte* alpha, byte* dest, unsigned long width, unsigned long height);
unsigned int tx_UploadTexture3(void *p, unsigned int w, unsigned int h);
unsigned int tx_UploadTexture4(void *p, unsigned int w, unsigned int h);
void tx_UpdateTexture3(void *tdata, int w, int h);
void tx_UpdateTexture4(void *tdata, int w, int h);
void tx_BeginEnvMap(void);
void tx_EndEnvMap(void);
unsigned int tx_CreateR2T(int size);
void tx_BeginR2T(int size);
void tx_R2T(UINT texture, int size);
void tx_EndR2T(int w, int h);
